<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org" xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head>
    <!-- Basic -->
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">

    <!-- Mobile Metas -->
    <meta name="viewport" content="width=device-width, minimum-scale=1.0, maximum-scale=1.0, user-scalable=no">

    <!-- Site Metas -->
    <title>Insure Masters - Insure your car, be safe on the road.</title>
    <meta name="keywords" content="">
    <meta name="description" content="">
    <meta name="author" content="">

    <!-- Site Icons -->
    <link th:href="@{/images/favicon.ico}" rel="shortcut icon" href="../static/images/favicon.ico" type="image/x-icon"/>
    <link th:href="@{/images/apple-touch-icon.png}" rel="apple-touch-icon" href="../static/images/apple-touch-icon.png">

    <!-- Bootstrap CSS -->
    <link th:href="@{/css/bootstrap.min.css}" rel="stylesheet" href="../static/css/bootstrap.min.css">
    <!-- Site CSS -->
    <link th:href="@{/style.css}" rel="stylesheet" href="../static/style.css">
    <!-- Colors CSS -->
    <link th:href="@{/css/colors.css}" rel="stylesheet" href="../static/css/colors.css">
    <!-- ALL VERSION CSS -->
    <link th:href="@{/css/versions.css}" rel="stylesheet" href="../static/css/versions.css">
    <!-- Responsive CSS -->
    <link th:href="@{/css/responsive.css}" rel="stylesheet" href="../static/css/responsive.css">
    <!-- Custom CSS -->
    <link th:href="@{/css/custom.css}" rel="stylesheet" href="../static/css/custom.css">

    <!-- Modernizer for Portfolio -->
    <script th:src="@{/js/modernizer.js}" src="../static/js/modernizer.js"></script>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>

    <!--[if lt IE 9]>
    <script src="../static/https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
    <script src="../static/https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
    <![endif]-->

</head>
<body class="realestate_version">

<!-- LOADER -->
<div id="preloader">
    <span class="loader"><span class="loader-inner"></span></span>
</div><!-- end loader -->
<!-- END LOADER -->
<header class="header header_style_01">
    <nav class="megamenu navbar navbar-default">
        <div class="container-fluid">
            <div class="navbar-header">
                <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar"
                        aria-expanded="false" aria-controls="navbar">
                    <span class="sr-only">Toggle navigation</span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                </button>
                <a class="navbar-brand" th:href="@{/}"><img th:src="@{/images/logos/logo.png}"
                                                            src="../static/images/logos/logo.png" alt="image"></a>
            </div>
            <div id="navbar" class="navbar-collapse collapse">
                <ul class="nav navbar-nav navbar-right">
                    <li><a th:href="@{/}">Home</a></li>
                    <li><a sec:authorize="isAuthenticated()" th:href="@{/my-policies}">My Policies</a></li>
                    <li><a sec:authorize="isAuthenticated()" th:href="@{/service}">Service</a></li>
                    <li><a sec:authorize="hasRole('ROLE_ADMIN')" th:href="@{/policy-approval}">Policy
                        Requests</a></li>
                    <li><a sec:authorize="hasRole('ROLE_ADMIN')" th:href="@{/tickets}">Tickets</a></li>
                    <li><a sec:authorize="!isAuthenticated()" th:href="@{/login}">Login</a></li>
                    <li><a sec:authorize="!isAuthenticated()" th:href="@{/register}">Register</a></li>
                    <li><a sec:authorize="isAuthenticated()" th:href="@{/logout}">Logout</a></li>
                    <li class="social-links"><a href="#"><i class="fa fa-twitter global-radius"></i></a></li>
                    <li class="social-links"><a href="#"><i class="fa fa-facebook global-radius"></i></a></li>
                    <li class="social-links"><a href="#"><i class="fa fa-linkedin global-radius"></i></a></li>
                    <li class="search-option">
                        <button class="search tran3s dropdown-toggle" id="searchDropdown" data-toggle="dropdown"
                                aria-haspopup="true" aria-expanded="false"><i class="fa fa-search"
                                                                              aria-hidden="true"></i></button>
                        <form action="#" class="p-color-bg dropdown-menu tran3s" aria-labelledby="searchDropdown">
                            <label>
                                <input type="text" placeholder="Search....">
                            </label>
                            <button class="p-color-bg"><i class="fa fa-search" aria-hidden="true"></i></button>
                        </form>
                    </li>
                </ul>
            </div>
        </div>
    </nav>
</header>

<div class="all-title-box">
    <div class="container">
        <div class="row">
            <div class="col-md-12">
                <h2>Multicriteria Table</h2>
                <!-- Breadcrumbs -->
                <nav id="breadcrumbs">
                    <ul>
                        <li><a th:href="@{/}">Home</a></li>
                        <li>Multicriteria Table</li>
                    </ul>
                </nav>
            </div>
        </div>
    </div>
</div>
<div class="modal" id="largeModal" tabindex="-1" role="dialog" aria-labelledby="largeModal" aria-hidden="true">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div id="modal_body_text" class="modal-body">
                <div class="panel-body">

                    <!-- Table -->
                    <table class="table">
                        <thead>
                        <tr>
                            <th scope="col">#</th>
                            <th scope="col">Min cubics</th>
                            <th scope="col">Max cubics</th>
                            <th scope="col">Min car age</th>
                            <th scope="col">Max car age</th>
                            <th scope="col">Base amount</th>
                        </tr>
                        </thead>
                        <tbody id="tbadi">

                        </tbody>
                    </table>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
                <button id="save_table" type="button" class="btn btn-primary">Save changes</button>
            </div>
        </div>
    </div>
</div>

<div id="features" class="section wb">
    <div class="container">
        <div class="section-title row text-center">
            <div class="col-md-8 col-md-offset-2">
                <h3>Welcome to our site</h3>
                <div class="panel panel-default">
                    <!-- Default panel contents -->
                    <div class="panel-heading">Multicriteria range table
                        <div class="container">
                            <div class="row text-center">
                                <a href="#" id="modal_opener" class="btn btn-lg btn-primary" data-toggle="modal" data-target="#largeModal">Edit
                                    table</a>
                            </div>
                        </div></div>
                    <div class="panel-body">

                        <!-- Table -->
                        <table class="table">
                            <thead>
                            <tr>
                                <th scope="col">#</th>
                                <th scope="col">Min cubics</th>
                                <th scope="col">Max cubics</th>
                                <th scope="col">Min car age</th>
                                <th scope="col">Max car age</th>
                                <th scope="col">Base amount</th>
                                <!--                                <th scope="col">Edit</th>-->
                            </tr>
                            </thead>
                            <tbody>
                            <tr th:each="criteria : ${criterias}">
                                <th th:text="${criteria.id}"></th>
                                <td th:text="${criteria.ccMin}">Test</td>
                                <td th:text="${criteria.ccMax}">Test</td>
                                <td th:text="${criteria.carMinAge}">Test</td>
                                <td th:text="${criteria.carMaxAge}">Test</td>
                                <td th:text="${criteria.baseAmount}">Test</td>
                                <!--                                <td>-->
                                <!--                                    <button th:id="${criteria.id}" type="button" class="editm btn btn-default" aria-label="Left Align">-->
                                <!--                                        <span class="glyphicon glyphicon-edit" aria-hidden="true"></span>-->
                                <!--                                    </button>-->
                                <!--                                </td>-->
                            </tr>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div><!-- end col -->
        </div><!-- end title -->

        <hr class="invis">


    </div><!-- end container -->
</div><!-- end section -->


<footer class="footer">
    <div class="container">
        <div class="row">
            <div class="col-md-4 col-sm-4 col-xs-12">
                <div class="widget clearfix">
                    <div class="widget-title">
                        <img th:src="@{/images/logos/logo.png}"
                             src="../static/images/logos/logo.png" alt="">
                    </div>
                    <p> Vehicle insurance is insurance for cars, trucks, motorcycles, and other road vehicles. Its
                        primary use is to provide
                        financial protection against physical damage or bodily injury resulting from traffic collisions
                        and
                        against liability that could also arise from incidents in a vehicle.</p>
                </div><!-- end clearfix -->
            </div><!-- end col -->

            <div class="col-md-3 col-sm-3 col-xs-12">
                <div class="widget clearfix">
                    <div class="widget-title">
                        <h3>Info Link</h3>
                    </div>

                    <ul class="twitter-widget footer-links">
                        <li><a th:href="@{/}"> Home </a></li>
                        <li><a sec:authorize="isAuthenticated()" th:href="@{/my-policies}">My Policies</a></li>
                        <li><a sec:authorize="isAuthenticated()" th:href="@{/service}">Service</a></li>
                        <li><a sec:authorize="hasRole('ROLE_ADMIN')" th:href="@{/policy-approval}">Policy
                            Requests</a></li>
                    </ul><!-- end links -->
                </div><!-- end clearfix -->
            </div><!-- end col -->

            <div class="col-md-3 col-sm-3 col-xs-12">
                <div class="widget clearfix">
                    <div class="widget-title">
                        <h3>Contact Details</h3>
                    </div>

                    <ul class="footer-links">
                        <li><a href="mailto:#">emailsendingcarinsurance@gmail.com</a></li>
                        <li><a href="#">localhost:8080</a></li>
                        <li>Plovdiv Bulgaria</li>
                        <li>+359 99 999 999</li>
                    </ul><!-- end links -->
                </div><!-- end clearfix -->
            </div><!-- end col -->

            <div class="col-md-2 col-sm-2 col-xs-12">
                <div class="widget clearfix">
                    <div class="widget-title">
                        <h3>Social</h3>
                    </div>
                    <ul class="footer-links">
                        <li><a href="https://gitlab.com/angel.obretenov/car-insurance-project"><i
                                class="fa fa-gitlab"></i> Gitlab</a></li>
                    </ul><!-- end links -->
                </div><!-- end clearfix -->
            </div><!-- end col -->

        </div><!-- end row -->
    </div><!-- end container -->
</footer><!-- end footer -->

<div class="copyrights">
    <div class="container">
        <div class="footer-distributed">
            <div class="footer-left">
                <p class="footer-company-name">All Rights Reserved. &copy; 2018 <a href="#">Insure Masters</a> Design
                    By : <a href="https://html.design/">Angel and Misho</a></p>
            </div>

            <div class="footer-right">
                <form method="get" action="#">
                    <label>
                        <input placeholder="Subscribe our newsletter.." name="search">
                    </label>
                    <i class="fa fa-envelope-o"></i>
                </form>
            </div>
        </div>
    </div><!-- end container -->
</div><!-- end copyrights -->

<a href="#" id="scroll-to-top" class="dmtop global-radius"><i class="fa fa-angle-up"></i></a>

<!-- ALL JS FILES -->
<script th:src="@{/js/all.js}" src="../static/js/all.js"></script>
<!-- ALL PLUGINS -->
<script th:src="@{/js/custom.js}" src="../static/js/custom.js"></script>
<script th:src="@{/js/portfolio.js}" src="../static/js/portfolio.js"></script>
<script th:src="@{/js/hoverdir.js}" src="../static/js/hoverdir.js"></script>
<script src="http://maps.googleapis.com/maps/api/js?sensor=false&amp;libraries=places"></script>
<!-- MAP & CONTACT -->
<script th:src="@{/js/map.js}" src="../static/js/map.js"></script>
<script th:src="@{/js/multicriteria.js}" src="../static/js/multicriteria.js"></script>

</body>
</html>